Update object storage key
curl --request PATCH \
--url https://cloud.laravel.com/api/bucket-keys/{filesystemKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
}
]
}Bucket Keys
Update object storage key
Update an object storage key.
PATCH
/
bucket-keys
/
{filesystemKey}
Update object storage key
curl --request PATCH \
--url https://cloud.laravel.com/api/bucket-keys/{filesystemKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The filesystem key identifier
Body
application/json
Required string length:
3 - 40Was this page helpful?
⌘I

